Bug 962659 - 503 error will return after migration for cartridge python-2.6
503 error will return after migration for cartridge python-2.6
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
All All
high Severity high
: ---
: ---
Assigned To: Mrunal Patel
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-14 03:49 EDT by zhaozhanqi
Modified: 2015-05-14 19:11 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-10 23:57:13 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description zhaozhanqi 2013-05-14 03:49:21 EDT
Description of problem:
503 error will return after migration for cartridge python-2.6

Version-Release number of selected component (if applicable):
Upgrading devenv-stage_351 to devenv_3223 and migrate

How reproducible:
always

Steps to Reproduce:
1. Launch a devenv-stage_351 ami
2. Create scalable python-2.6 app 
3. scp -r ~/devenv-local and /etc/yum.repos.d/local.repo from devenv_3219 instance to same location on devenv-stage_351 instance
4. yum -y update --enablerepo devenv-local (the instance will be default to v2 format after upgrade)
6. rhc-v2-migrate --version 2.0.28
7. access the app'URL
  
Actual results:
will return 503 error

Expected results:
can access successfully

Additional info:
it will return error as blow by 'rhc tail zqpy26', i'm not sure if this is the origin of this issue

[zqzhao@dhcp-13-222 myshell]$ rhc tail zqpy26
==> python/logs/appserver.log <==
python: can't open file 'app.py': [Errno 2] No such file or directory

==> python-2.6/logs/appserver.log <==
python: can't open file 'app.py': [Errno 2] No such file or directory
Comment 1 Mrunal Patel 2013-05-14 14:43:42 EDT
Fixed in devenv_3224+
Comment 2 Meng Bo 2013-05-15 11:19:20 EDT
Check on devenv_3229,

After migrate from devenv-stage_352 to devenv_3229

Both scalable and non-scale python 2.6 home page can be accessed.

Move bug to verified.

Note You need to log in before you can comment on or make changes to this bug.